const getCookie = (returnType) => {
  let decodedCookie = decodeURIComponent(document.cookie);
  if (decodedCookie == "") {
    return;
  }

  let ca = decodedCookie.split(',');

  const token = ca[0].split("token=")[1];
  const type = ca[1].split("type=")[1];
  const expiresDay = ca[2].split("expires=")[1];
  const expiresDate = ca[3]
  const expires = `${expiresDay}${expiresDate}`
  
  if (returnType == "token") {
    return token;
  } else if (returnType == "type") {
    return type
  } else if (returnType == "expires") {
    return expires;
  }

  return null;
}

const token = getCookie("token");

if (token != undefined) {
  // Edit navbar
  const signInNavBtn = document.querySelector('.nav-signin');
  const registerNavBtn = document.querySelector('.nav-register');
  const profileNavBtn = document.querySelector('.nav-profile');

  signInNavBtn.style.display = 'none';
  registerNavBtn.style.display = 'none';
  profileNavBtn.style.display = 'block';

  // Edit hero
  const signInHeroBtn = document.querySelector('.hero-signin');
  const registerHeroBtn = document.querySelector('.hero-register');
  const profileHeroBtn = document.querySelector('.hero-profile');

  signInHeroBtn.style.display = 'none';
  registerHeroBtn.style.display = 'none';
  profileHeroBtn.style.display = 'block';
}